package cn.superdesk.uniorder.dubbo.provider._dashboard;

import cn.superdesk.uniorder.dto.param._dashboard.TvHeadDataQueryCriteria;
import cn.superdesk.uniorder.dto.param._dashboard.TvMapDataQueryCriteria;
import cn.superdesk.uniorder.dto.vo._dashboard.TvHeadDataVo;
import cn.superdesk.uniorder.dto.vo._dashboard.TvMapDataVo;
import cn.superdesk.uniorder.dubbo.facade._dashboard.DubboTvDashboardService;
import cn.superdesk.uniorder.service._dashboard.TvDashboardService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboTvDashboardServiceImpl implements DubboTvDashboardService {

	@Autowired
	private TvDashboardService tvDashboardService;


	@Override
	public TvHeadDataVo getHeadData(TvHeadDataQueryCriteria queryCriteria) {

		return tvDashboardService.getHeadData(queryCriteria);
	}

	@Override
	public TvHeadDataVo getHeadDataOct(TvHeadDataQueryCriteria queryCriteria) {

		return tvDashboardService.getHeadDataOct(queryCriteria);
	}

	@Override
	public List<TvMapDataVo> getMapData(TvMapDataQueryCriteria queryCriteria) {
		return tvDashboardService.getMapData(queryCriteria);
	}

	@Override
	public List<TvMapDataVo> getMapDataOct(TvMapDataQueryCriteria queryCriteria) {
		return tvDashboardService.getMapDataOct(queryCriteria);
	}

}
